package com.jxml.quick.engine;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import com.jxml.quick.tf.*;

public class QIsCDataAccess extends QIsIdRefAccess
{
    protected Object get(Object parent, QContext context)
	throws QPE
    {
	validateParent(parent,context);
	QElementFactory ef=(QElementFactory)parent;
	return new Boolean(ef.isCData);
    }

    public void add(Object parent, 
		    QTargetFactory parentFactory,
		    Object child, 
		    QContext context)
	throws QPE
    {
	validateParent(parent,context);
	validateChild(child,context);
	QElementFactory ef=(QElementFactory)parent;
	ef.isCData=((Boolean)child).booleanValue();
    }
}
